Ver 2.9

My VA4 will not upgrade to GPS ver 2.9? It’s currently at ver 2.6, and when I Look for updates, it gives message it’s up to date, but it’s not. How do I force the update?